<template>
  <div class="mainapp">
    <div class="row">
      <div style="width: 30%">
        <img src="../../public/bgright.jpg" alt="" class="bg-right" dense />
      </div>
      <div style="width: 70%; position: relative">
        <div style="height: 80px" align="right">
          <div
            class="cursor-pointer q-px-md"
            style="font-size: 32px"
            @click="goToMainMenu()"
          >
            X
          </div>
        </div>
        <div class="font-24 q-px-xl">Create a project (Step 2 of 2)</div>
        <div class="font-36 q-px-xl">Data aquisition setting</div>
        <div class="q-px-xl">
          <div class="q-pa-md">
            <div class="q-py-md">Logging start date/time</div>
            <div class="q-gutter-md row items-start">
              <q-date
                v-model="model"
                mask="YYYY-MM-DD h:mm"
                color="deep-purple-10"
              />
              <q-time
                v-model="model"
                mask="YYYY-MM-DD h:mm"
                color="deep-purple-10"
              />
            </div>
          </div>
        </div>

        <div class="q-pa-xl" style="width: 700px">
          <q-input
            label="Data logging duration (s)"
            dense
            type="number"
            class="font-24"
            v-model="duration"
          />
        </div>
        <div class="q-px-xl" style="width: 700px">
          <q-input
            label="Start line number"
            dense
            type="number"
            class="font-24"
            v-model="lineNumber"
          />
        </div>
        <div class="btnMainPos">
          <q-btn
            label="Finish"
            color="secondary"
            size="xl"
            class="btnMain"
            no-caps
            @click="saveNewProject()"
          />
        </div>
      </div>
    </div>
    <footer-bar />
  </div>
</template>

<script>
import axios from "axios";
import footerBar from "../components/footer.vue";
export default {
  components: { footerBar },
  data() {
    return {
      model: "",
      duration: "",
      lineNumber: "",
    };
  },
  methods: {
    goToMainMenu() {
      this.$router.push("main");
    },
    async saveNewProject() {
      console.log(Number(this.lineNumber));
      if (!(Number(this.lineNumber) > 0)) {
        this.redNotify("Please input start line number");
        return;
      }
      if (!(this.duration > 0)) {
        this.redNotify("Please input data logging duration.");
        return;
      }
      if (this.model.length == 0) {
        this.redNotify("Please input logging start date/time");
        return;
      }

      let set01 = this.$q.localStorage.getItem("set01");
      let key = this.$q.localStorage.getItem("key");
      let input = {
        ...set01,
        dateTime: this.model,
        duration: this.duration,
        lineNumber: this.lineNumber,
        key: key,
      };
      let url = this.apiPath + "addnewproject.php";
      let res = await axios.post(url, JSON.stringify(input));
      if (res.data == "logout") {
        this.$q.localStorage.clear();
        this.$router.push("/");
      } else {
        this.greenNotify("Add new project completely");
        this.$router.push("/main");
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.mainapp {
  background-color: white;
  color: black;
  max-width: 1400px;
  width: 100%;
  margin: auto;
  font-size: 16px;
  height: 100vh;
}
.bg-right {
  width: 100%;
  height: calc(100vh - 30px);
}
.btnMainPos {
  position: absolute;
  width: 100%;
  bottom: 30px;
  text-align: right;
}
.btnMain {
  margin-right: 20px;
  width: 300px;
}
</style>
